Colt 1.2.0

## cern.colt.function
Interface IntProcedure

    public interface IntProcedure

Interface that represents a procedure object: a procedure that takes a single argument and does not return a value.

Method Summary
`boolean` `apply(int element)` Applies a procedure to an argument.

Method Detail

### apply

    boolean apply(int element)

  Applies a procedure to an argument. Optionally can return a boolean flag to inform the object calling the procedure.

  Example: forEach() methods often use procedure objects. To signal to a forEach() method whether iteration should continue normally or terminate (because for example a matching element has been found), a procedure can return `false` to indicate termination and `true` to indicate continuation.

  Parameters:
    `element` - element passed to the procedure.
  Returns:
    a flag to inform the object calling the procedure.

Colt 1.2.0

Jump to the Colt Homepage